## org.apache.poi.openxml4j.opc.internal.unmarshallers
Class UnmarshallContext

    java.lang.Object
      org.apache.poi.openxml4j.opc.internal.unmarshallers.UnmarshallContext

    public final class UnmarshallContext

extends java.lang.Object

Context needed for the unmarshall process of a part. This class is immutable.

Version:
  1.0
Author:
  Julien Chable

Constructor Summary
`UnmarshallContext(OPCPackage targetPackage, PackagePartName partName)` Constructor.

Method Summary
`void` `setPackage(OPCPackage container)`
`void` `setPartName(PackagePartName partName)`
`void` `setZipEntry(java.util.zip.ZipEntry zipEntry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnmarshallContext

    public UnmarshallContext(OPCPackage targetPackage,
                             PackagePartName partName)

  Constructor.

  Parameters:
    `targetPackage` - Container.
    `partName` - Name of the part to unmarshall.

Method Detail

### setPackage

    public void setPackage(OPCPackage container)

  Parameters:
    `container` - the container to set

### setPartName

    public void setPartName(PackagePartName partName)

  Parameters:
    `partName` - the partName to set

### setZipEntry

    public void setZipEntry(java.util.zip.ZipEntry zipEntry)

  Parameters:
    `zipEntry` - the zipEntry to set

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.